Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface IDynamicText

All Superinterfaces:
  IDesignElement, IReportElement, IReportItem

    public interface IDynamicText

extends IReportItem

Represents a the design of a multi line text item in the scripting environment

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem
`constants`

Method Summary
`java.lang.String` | `getContentType()` Returns the expression that that defines the type of text the multi-line data item holds.
`java.lang.String` | `getValueExpr()` Returns the expression that gives the text that the multi-line data item displays.
`void` | `setContentType(java.lang.String contentType)` Sets the expression that defines the text type this multi-line data item holds.
`void` | `setValueExpr(java.lang.String expr)` Sets the expression that gives the text that this multi-line data item displays.

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem
`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getValueExpr

    java.lang.String getValueExpr()

  Returns the expression that gives the text that the multi-line data item displays.

  Returns:
    the value expression

### setValueExpr

    void setValueExpr(java.lang.String expr)
                      throws SemanticException

  Sets the expression that gives the text that this multi-line data item displays.

  Parameters:
    `expr` - the new expression for the value expression
  Throws:
    `SemanticException` - if the expression contains errors, or the property is locked.

### getContentType

    java.lang.String getContentType()

  Returns the expression that that defines the type of text the multi-line data item holds. The content type can be one of:
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_AUTO` (default)
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_PLAIN`: Plain text;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_HTML`: HTML format;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_RTF`: Rich Text format;

  Returns:
    the text type

### setContentType

    void setContentType(java.lang.String contentType)
                        throws SemanticException

  Sets the expression that defines the text type this multi-line data item holds. The content type can be one of
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_AUTO` (default)
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_PLAIN`: Plain text;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_HTML`: HTML format;
  - `DesignChoiceConstants.TEXT_DATA_CONTENT_TYPE_RTF`: Rich Text format;

  Parameters:
    `contentType` - the new text type
  Throws:
    `SemanticException` - if the property is locked or the `contentType` is not one of the above.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.